Download the latest version of Batalyse below
For further information and help please consult the Batalyse Wiki

Please note that Batalyse requires Origin 2018 or newer!